Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.http
Class DefaultRequestFilter

    java.lang.Object
      com.bea.p13n.http.DefaultSessionFilter
          com.bea.p13n.http.DefaultRequestFilter

All Implemented Interfaces
  com.bea.p13n.http.internal.Filter, com.bea.p13n.http.internal.MapFilter, Serializable

    public class DefaultRequestFilter

extends DefaultSessionFilter

The default P13N Request Filter. This class implements a filter that determines the objects in the HTTP Request are to be used in the construction of the P13N Request object.

See Also
  Serialized Form

Constructor Summary
`DefaultRequestFilter()` Default Constructor

Method Summary
`Object` | `filter(Object in)` Filter the given input object according to the object's class.
`protected boolean` | `isAllowableCollection(Collection c)` Determine if the specified class is one this object should allow.

Methods inherited from class com.bea.p13n.http.DefaultSessionFilter
`filter, isAllowableType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRequestFilter

    public DefaultRequestFilter()

  Default Constructor

Method Detail

### filter

    public Object filter(Object in)

  Description copied from class: `DefaultSessionFilter`
  Filter the given input object according to the object's class.

  Specified by:
    `filter` in interface `com.bea.p13n.http.internal.Filter`
  Overrides:
    `filter` in class `DefaultSessionFilter`
  See Also
    `DefaultSessionFilter.isAllowableType(java.lang.Class)`

### isAllowableCollection

    protected boolean isAllowableCollection(Collection c)

  Determine if the specified class is one this object should allow.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.